Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io
Class AbstractDocumentReader

    java.lang.Object
      info.bioinfweb.treegraph.document.io.AbstractDocumentReader

All Implemented Interfaces:
  DocumentReader

Direct Known Subclasses:
  TextStreamReader, TGFReader, XTGReader

    public abstract class AbstractDocumentReader

extends java.lang.Object
implements DocumentReader

Field Summary
`protected Document` | `document`

Constructor Summary
`AbstractDocumentReader()`

Method Summary
`Document` | `read(java.io.File file)`
`Document` | `read(java.io.File file, NodeDataAdapter internalAdapter)`
`Document` | `read(java.io.File file, NodeDataAdapter internalAdapter, TreeSelector selector, boolean translateInternalNodes)` If you want to implement file specific functionalities you should override this method.
`Document` | `read(java.io.InputStream stream)`
`Document` | `read(java.io.InputStream stream, NodeDataAdapter internalAdapter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.DocumentReader
`read`

Field Detail

### document

    protected Document document

Constructor Detail

### AbstractDocumentReader

    public AbstractDocumentReader()

Method Detail

### read

    public Document read(java.io.File file)
                  throws java.lang.Exception

  Specified by:
    `read` in interface `DocumentReader`
  Throws:
    `java.lang.Exception`

### read

    public Document read(java.io.File file,
                         NodeDataAdapter internalAdapter)
                  throws java.lang.Exception

  Specified by:
    `read` in interface `DocumentReader`
  Throws:
    `java.lang.Exception`

### read

    public Document read(java.io.File file,
                         NodeDataAdapter internalAdapter,
                         TreeSelector selector,
                         boolean translateInternalNodes)
                  throws java.lang.Exception

  If you want to implement file specific functionalities you should override this method. It is called by all other `read`-methods with a file as parameter.

  Specified by:
    `read` in interface `DocumentReader`
  Throws:
    `java.lang.Exception`
  See Also:
    `info.bioinfweb.treegraph.document.io.DocumentReader#read(java.io.File, NodeDataAdapter, int)`

### read

    public Document read(java.io.InputStream stream,
                         NodeDataAdapter internalAdapter)
                  throws java.lang.Exception

  Specified by:
    `read` in interface `DocumentReader`
  Throws:
    `java.lang.Exception`

### read

    public Document read(java.io.InputStream stream)
                  throws java.lang.Exception

  Specified by:
    `read` in interface `DocumentReader`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD